# class Puppet::Util::CommandLine::NilSubcommand

@api private

### Public Class Methods

new(command_line) click to toggle source

    # File lib/puppet/util/command_line.rb, line 150
    def initialize(command_line)
      @command_line = command_line
    end

### Public Instance Methods

run() click to toggle source

    # File lib/puppet/util/command_line.rb, line 154
    def run
      if @command_line.args.include? "--version" or @command_line.args.include? "-V"
        puts Puppet.version
      else
        puts "See 'puppet help' for help on available puppet subcommands"
      end
    end